#include <QtGui/QApplication>
#include "testdll.h"
#include <QLibrary>

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);
	testDll w;
	w.show();
	a.connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()));

	QLibrary lib( "library.dll");
	typedef bool (*fnc)(const QString &, const QString &, QWidget *);
	fnc ShowModalDialog = (fnc) lib.resolve( "ShowModalDialog");
	if( !ShowModalDialog)
		return -1; 
	ShowModalDialog( "Title", "Text", &w);

	return a.exec();
}
